petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscGetArgs

Allows you to access the raw command line arguments anywhere after PetscInitialize() is called but before PetscFinalize().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscGetArgs(int *argc,char ***args)

Not Collective

### Output Parameters

| argc | - count of number of command line arguments
| args | - the command line arguments

### Notes

This is usually used to pass the command line arguments into other libraries that are called internally deep in PETSc or the application.

The first argument contains the program name as is normal for C arguments.

### See Also

PetscFinalize(), PetscInitializeFortran(), PetscGetArguments()

Level:intermediate
Location:src/sys/objects/pinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages